using CaseAccountingContracts.BindingModels;
using CaseAccountingContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CaseAccountingContracts.BusinessLogicContracts
{
    public interface IReportCustomerLogic
    {
        List<ReportLawyerHearingViewModel> GetLawyersHearing(List<LawyerViewModel> models);

        List<ReportHearingSpecializationViewModel> GetHearingSpecialization(ReportBindingModel model);

        byte[] SaveListFile(LawyerHearingListBindingModel model);

        void SaveLawyerHearingToWordFile(ReportBindingModel model);

        void SaveLawyerHearingToExcelFile(ReportBindingModel model);

        void SaveHearingSpecializationToPdfFile(ReportBindingModel model);
    }
}
